<?php

use App\Enums\UserType;

test('user type has correct cases', function () {
    expect(UserType::cases())->toHaveCount(3);
});

test('user type admin has correct value', function () {
    expect(UserType::Admin->value)->toBe('admin');
});

test('user type individual has correct value', function () {
    expect(UserType::Individual->value)->toBe('individual');
});

test('user type company has correct value', function () {
    expect(UserType::Company->value)->toBe('company');
});
